class PaperlessApiTransactionChannel < RxModule::ApplicationChannel
  def subscribed
    transactions = PaperlessApiTransaction.where(id: params[:ids])
    transactions.each {|transaction| stream_from PaperlessApiTransactionChannel.serialize_broadcasting(['paperless_api_transaction', transaction])}
  end

  def self.data_formatter(model, action)
    json = model.as_json
    json["associated_order_number"] = model.paperless_ticket&.order_record&.number
    json["associated_order_launch_number"] = model.paperless_ticket&.order_record&.launch_number
    json["associated_ticket_barcode"] = model.paperless_ticket&.ticket_barcode
    json.to_json
  end
end