class PaperlessTicketApiTransactionsChannel < RxModule::ApplicationChannel
  def subscribed
    stream_from PaperlessTicketApiTransactionsChannel.serialize_broadcasting(['paperless_ticket_api_transactions', paperless_ticket])
  end

  def paperless_ticket
    PaperlessTicket.where(id: params[:paperless_ticket_id]).first
  end

  def self.data_formatter(model, action)
    message(model, action)
  end

  def self.broadcast(paperless_ticket, model, action)
    broadcast_to(paperless_ticket, message(model, action))
  end

  def self.broadcast_from_model(model)
    model.paperless_ticket
  end

  def self.message(model, action)
    {
      action: action,
      model: model,
      timestamp: Time.now.to_i
    }
  end
end