class OrderFindQueriesController < ApplicationController

  def self.set_target_before
    super + [:execute, :stop]
  end

  def before_filter(filter)
    return false if filter[:id] == 'status' && filter[:value] == 'null'
    return false if filter[:id] == 'color' && filter[:value] == 'null'
    filter
  end

  model_data_store(OrderFindQuery)

  def execute
    return render json: {error: "Query is not ready to be ran"}, status: :unprocessable_entity unless @model.ready?

    render json: @model.execute, status: :ok
  end

  def stop
    return render json: {error: "Query is not running"}, status: :unprocessable_entity unless @model.running?

    render json: @model.stop, status: :ok
  end

  private

  def model_params
    params.require(:order_find_query).permit(:name, :color, :blink_pattern, :blink_duration, :ticket_workstation_id, :query)
  end
end