class TicketTemplateFieldsController < ApplicationController
  def before_filter(filter)
    return false if filter[:id] == 'field_type' && filter[:value] == 'null'
    filter
  end

  model_data_store(TicketTemplateField)
  protect_with("TicketTemplate", "TicketTemplate")

  private
    # Only allow a list of trusted parameters through.
    def model_params
      params.require(:ticket_template_field).permit(
        :ticket_template_id,
        :zone_identifier,
        :field_type,
        :side,
        :tag_id,
        :static_field,
        :static_default,
        :formatter_regex
      )
    end
end
