import * as React from 'react';
import {observer} from "mobx-react-lite";
import {makeStyles} from "@material-ui/core";
import {ButtonField, ScannerField} from "@rx-suite/ui";

type ScannerFieldWithButtonProps = {
    scannerConfig: React.ComponentProps<typeof ScannerField>;
    buttonConfig: React.ComponentProps<typeof ButtonField>;
}

const useStyles = makeStyles(() => ({
    scanField: {
        flex: 1,
        marginRight: '1rem'
    },
    wrapper: {
        display: 'flex',
        flexDirection: 'row',
        justifyContent: 'flex-start',
        alignItems: 'center'
    }
}))

export const ScannerFieldWithButton: React.FunctionComponent<ScannerFieldWithButtonProps> = observer(({scannerConfig, buttonConfig}) => {
    const classes = useStyles();

    return (
        <div className={classes.wrapper}>
            <div className={classes.scanField}>
                <ScannerField
                    {...scannerConfig}
                    global
                />
            </div>
            <div>
                <ButtonField
                    {...buttonConfig}
                    fullWidth
                />
            </div>
        </div>
    )
})