import Box from "@material-ui/core/Box";
import * as React from "react";
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faFire} from "@rx-suite/pro-solid-svg-icons";
import {makeStyles} from "@material-ui/core";
import {red} from "@material-ui/core/colors";
import Typography from "@material-ui/core/Typography";
import classNames from "classnames";

type HotJobBadgeProps = {
    size?: 'sm' | 'md'
}

const useStyles = makeStyles((theme) => ({
    wrapper: {
        width: 'fit-content',
        color: red[300],
    },
    text: {
        textTransform: 'uppercase'
    },
    icon: {
        marginRight: theme.spacing(0.75)
    },
    sm: {
        fontSize: '1rem',
    },
    md: {
        fontSize: '1.25rem',
    }
}));


export const HotJobBadge: React.FunctionComponent<HotJobBadgeProps> = ({size='sm'}) => {
    const classes = useStyles();

    return (
        <Box display={'flex'} justifyContent={'center'} alignItems={'center'} className={classes.wrapper}>
            <FontAwesomeIcon className={classNames(classes.icon, classes[size])} icon={faFire}/>
            <Typography className={classNames(classes.text, classes[size])}>Hot Job</Typography>
        </Box>
    );
};

