import * as React from "react";
import {observer} from "mobx-react-lite";
import {Dialog, DialogActions, DialogContent} from "@material-ui/core";
import {t} from "@lingui/macro";
import {ButtonField} from "@rx-suite/ui";
import {OrderRecordModel} from "../../stores/OrderRecordStore";
import {LatestLaunchTransactionDialogContent} from "./LatestLaunchTransactionDialogContent";

type LatestLaunchTransactionDialogProps = {
    model: OrderRecordModel,
    open: boolean,
    handleClose: () => void;
}

export const LatestLaunchTransactionDialog: React.FunctionComponent<LatestLaunchTransactionDialogProps> = observer(({model, open, handleClose}) => {
    return <Dialog open={open} onClose={handleClose} aria-labelledby="form-dialog-title" fullWidth={true} maxWidth={'md'}>
        <DialogContent>
            <LatestLaunchTransactionDialogContent model={model}/>
            <DialogActions>
                <ButtonField
                    text={t`Close`}
                    onClick={handleClose}
                    color={'secondary'}
                    variant={'text'}
                />
            </DialogActions>
        </DialogContent>
    </Dialog>
})
