import * as React from "react";
import {observer} from "mobx-react-lite";
import {LinearProgress} from "@material-ui/core";
import {PaperlessApiTransactionForm} from "../../pages/paperless_api_transactions/PaperlessApiTransactionForm";
import {useEffect, useState} from "react";
import {OrderRecordModel} from "../../stores/OrderRecordStore";
import {PaperlessApiTransactionModel, PaperlessApiTransactionStore} from "../../stores/PaperlessApiTransactionStore";

type LatestTransactionDialogContentProps = {
    model: OrderRecordModel,
}

export const LatestLaunchTransactionDialogContent: React.FunctionComponent<LatestTransactionDialogContentProps> = observer(({model}) => {
    const [transaction, setTransaction] = useState<PaperlessApiTransactionModel | undefined>(undefined);

    useEffect(() => {
        const fetchLatestLaunchTransactionId = async () => {
            const id = await model.latestLaunchTransaction_id();

            setTransaction(await PaperlessApiTransactionStore.fetchOne(id.toString()));
        }

        fetchLatestLaunchTransactionId();
    }, [])
    if(!transaction || PaperlessApiTransactionStore.isLoading) {
        return <LinearProgress/>
    }

    return <PaperlessApiTransactionForm model={transaction}/>
})
