import * as React from 'react';
import {PaperlessApiTransactionStore} from "../../stores/PaperlessApiTransactionStore";
import {observer} from "mobx-react-lite";
import {LatestModelsTable} from "@rx-suite/ui";
import {useApiTransactionsColumns} from "../../hooks/table_columns/api_transactions/useApiTransactionsColumns";

type PaperlessTicketTransactionProps = {
    modelId: number;
}

export const PaperlessTicketTransactionLog : React.FunctionComponent<PaperlessTicketTransactionProps> = observer(({modelId}) => {
    const columns = React.useMemo(() => {
        return useApiTransactionsColumns(false, false);
    }, []);

    return (
        <LatestModelsTable
            columns={columns}
            store={PaperlessApiTransactionStore}
            channelName={'PaperlessTicketApiTransactionsChannel'}
            defaultFiltered={[{id: "paperless_ticket_id", value: modelId.toString(), persistent: true}]}
            subscriptionOpts={{paperless_ticket_id: modelId}}
        />
    )
});
