import Box from "@material-ui/core/Box";
import * as React from "react";
import {makeStyles} from "@material-ui/core";
import {blueGrey} from "@material-ui/core/colors";
import Typography from "@material-ui/core/Typography";
import classNames from "classnames";
import {observer} from "mobx-react-lite";
import {PaperlessApiTransactionModel} from "../../stores/PaperlessApiTransactionStore";

type TransactionEndpointProps = {
    model: PaperlessApiTransactionModel;
}

const useStyles = makeStyles((theme) => ({
    wrapper: {
        padding: '1px 8px',
        fontStyle: 'italic',
        color: blueGrey[600],
    },
    text: {
        overflow: "hidden",
        textOverflow: "ellipsis"
    }
}));


export const TransactionType: React.FunctionComponent<TransactionEndpointProps> = observer(({model}) => {
    const classes = useStyles();

    return (
        <Box className={classes.wrapper}>
            <Typography className={classes.text}>{model.resolved_transaction_type}</Typography>
        </Box>
    );
});

