import React, {useMemo} from "react";
import {observer} from "mobx-react-lite";
import {PaperlessTicketModel} from "../../../stores/PaperlessTicketStore";
import {ReleaseTicketButton} from "./ReleaseTicketButton";
import {ToggleStageTicketButton} from "./ToggleStageTicketButton";
import {DeleteTicketButton} from "./DeleteTicketButton";
import Box from "@material-ui/core/Box";

type paperlessTicketButtonsBarProps = {
    model: PaperlessTicketModel
}

export const PaperlessTicketButtonsBar: React.FunctionComponent<paperlessTicketButtonsBarProps> = observer(({model}) => {
    const availableButtons = useMemo(() => {
        if(model.isAttached) {
            return <ReleaseTicketButton/>
        } else {
            return <ToggleStageTicketButton/>
        }
    }, [model.isAttached])

    return <Box display={'flex'} ml={6} alignItems={'center'}>
        {availableButtons}
        <DeleteTicketButton/>
    </Box>
})