import React from "react";
import {observer} from "mobx-react-lite";
import {PaperlessTicketModel} from "../../../stores/PaperlessTicketStore";
import {makeStyles, Paper} from "@material-ui/core";

import {t} from "@lingui/macro";
import { ModelActionButton } from "@rx-suite/ui";
import {useSnackbar} from "notistack";

type PaperlessTicketForceActionBarProps = {
    model: PaperlessTicketModel
}

const useStyles = makeStyles((theme) => ({
    adminButtons: {
        display: 'flex',
        flexWrap: 'wrap',
        alignContent: 'center',
        margin: '20px 0px 20px auto'
    }
}))


export const PaperlessTicketForceActionBar: React.FunctionComponent<PaperlessTicketForceActionBarProps> = observer(({model}) => {
    const classes = useStyles();

    const {enqueueSnackbar} = useSnackbar();

    return <Paper variant={'outlined'} className={classes.adminButtons}>
        <ModelActionButton
            name={'forceStopBlink'}
            text={t`Force Stop Blink`}
            successHandler={() => {
                    enqueueSnackbar(`Stop Blink requested.`, { variant: 'success' });
                }
            }
        />
    </Paper>
})
