import * as React from 'react';
import {ButtonField, useFlag} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {observer} from "mobx-react-lite";
import {Add} from "@material-ui/icons";
import {BulkAddDialog} from "./BulkAddDialog";
import {OpenDialogContext} from "../../../../pages/paperless_tickets/PaperlessTicketBreadModel";
import {useContext} from "react";

export const BulkAddButton: React.FunctionComponent = observer(() => {
    const {bulkAddDialogOpen, handleOpenBulkAdd, handleCloseBulkAdd} = useContext(OpenDialogContext);

    return (
        <React.Fragment>
            <ButtonField
                text={t`Register Tickets`}
                onClick={handleOpenBulkAdd}
                disabled={bulkAddDialogOpen}
                startIcon={<Add/>}
                color={'secondary'}
            />
            <BulkAddDialog
                open={bulkAddDialogOpen}
                handleClose={handleCloseBulkAdd}
            />
        </React.Fragment>
    )
})