import * as React from 'react';
import {observer} from "mobx-react-lite";
import {Dialog, DialogContent} from "@material-ui/core";
import {t} from "@lingui/macro";
import {ButtonField} from "@rx-suite/ui";
import {BulkTicketScanTable} from "../../../bulk_add_scan/BulkTicketScanTable";

type BulkAddDialogProps = {
    open: boolean
    handleClose: () => void;
}

export const BulkAddDialog: React.FunctionComponent<BulkAddDialogProps> = observer(({open, handleClose}) => {

    return (
        <Dialog open={open} onClose={handleClose} aria-labelledby="form-dialog-title" fullWidth={true} maxWidth={'sm'}>
            <DialogContent>
                <BulkTicketScanTable/>
                <ButtonField
                    text={t`Close`}
                    variant={'contained'}
                    onClick={handleClose}
                    size={'large'}
                />
            </DialogContent>
        </Dialog>
    )
})