import * as React from 'react';
import {Box, Grid, makeStyles} from "@material-ui/core";
import {PaperlessTicketCountCard} from "../PaperlessTicketCountCard";
import {BulkAddButton} from "./BulkAdd/BulkAddButton";
import {SelectTicketsShown} from "./SelectTicketsShown";

const useStyles = makeStyles((theme) => ({
    wrapper: {
        width: 'initial',
        flexGrow: 1
    }
}));

export const PaperlessTicketToolbar: React.FunctionComponent = () => {
    const classes = useStyles();

    return(
        <Grid container className={classes.wrapper}>
            <Box mr={2}>
                <BulkAddButton/>
            </Box>
            <Box mr={6}>
                <SelectTicketsShown/>
            </Box>
            <PaperlessTicketCountCard/>
        </Grid>
    )
}
