import * as React from 'react';
import {SelectField} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {makeStyles} from "@material-ui/core";
import {PaperlessTicketStore} from "../../../stores/PaperlessTicketStore";
import {observer} from "mobx-react-lite";

const useStyles = makeStyles((theme) => ({
    field: {
        marginTop: '-6px',
        minWidth: '200px',
    }
}));

export const SelectTicketsShown: React.FunctionComponent = observer(() => {
    const classes = useStyles();

    const handleChange = React.useCallback(async (_, value) => {
        await PaperlessTicketStore.changeTicketsShown(value)
    }, [])

    const selectOptions = [
        { label: t`Only Available`, value: 'available' },
        { label: t`Only Staged`, value: 'staged' },
        { label: t`Only In Use`, value: 'in_use' },
        { label: t`All Tickets`, value: 'all' }
    ]

    return (
        <SelectField
            label={t`Show Tickets:`}
            className={classes.field}
            onChange={handleChange}
            value={PaperlessTicketStore.ticketStateFilter}
            options={selectOptions}
        />
    )
});