import {observer} from "mobx-react-lite";
import {LineChart} from "@rx-suite/ui";
import {PerformanceMetricStore} from "../../stores/PerformanceMetricStore";
import React from "react";
import {t} from "@lingui/macro";
import {
    usePerformanceChartOptions, usePerformanceLegendOptions, usePerformanceMarkerOptions, usePerformanceStrokeOptions,
    usePerformanceTitleOptions, usePerformanceXAxisOptions, usePerformanceYAxisOptions
} from "../../hooks/performance_metrics/usePerformanceMetricOptions";
import {red} from "@material-ui/core/colors";

export const ExternalCallLoadGraph = observer(() => {
    return <LineChart
        series={PerformanceMetricStore.selectedModel?.external_call_load.series}
        height={350}
        width={'100%'}
        options={
            {
                chart: usePerformanceChartOptions(false),
                colors: [red[300]],
                title: usePerformanceTitleOptions(t`External Updates`),
                xaxis: usePerformanceXAxisOptions(PerformanceMetricStore.selectedModel?.outgoing_per_type.categories),
                yaxis: usePerformanceYAxisOptions(100),
                legend: usePerformanceLegendOptions(),
                stroke: usePerformanceStrokeOptions(),
                markers: usePerformanceMarkerOptions()
            }
        }
    />
})
