import {observer} from "mobx-react-lite";
import {PerformanceMetricStore} from "../../stores/PerformanceMetricStore";
import {BarChart} from "@rx-suite/ui";
import React from "react";
import {t} from "@lingui/macro";
import {
    usePerformanceChartOptions,
    usePerformanceLegendOptions,
    usePerformanceStrokeOptions,
    usePerformanceTitleOptions,
    usePerformanceTransactionTypeColors,
    usePerformanceXAxisOptions,
    usePerformanceYAxisOptions
} from "../../hooks/performance_metrics/usePerformanceMetricOptions";

export const OutgoingTransactionsPerTypeBarChart = observer(() => {
    return <BarChart
        series={PerformanceMetricStore.selectedModel?.outgoing_per_type.series}
        height={350}
        width={'100%'}
        options={
            {
                chart: usePerformanceChartOptions(true),
                colors: usePerformanceTransactionTypeColors(),
                title: usePerformanceTitleOptions(t`ESL Endpoint Type`),
                xaxis: usePerformanceXAxisOptions(PerformanceMetricStore.selectedModel?.outgoing_per_type.categories),
                yaxis: usePerformanceYAxisOptions(100),
                legend: usePerformanceLegendOptions(),
                stroke: usePerformanceStrokeOptions()
            }
        }
    />
})