import {observer} from "mobx-react-lite";
import {PerformanceMetricStore} from "../../stores/PerformanceMetricStore";
import {BarChart} from "@rx-suite/ui";
import React from "react";
import {t} from "@lingui/macro";
import {
    usePerformanceChartOptions,
    usePerformanceLegendOptions,
    usePerformanceStrokeOptions,
    usePerformanceSuccessFailColors,
    usePerformanceTitleOptions,
    usePerformanceXAxisOptions,
    usePerformanceYAxisOptions
} from "../../hooks/performance_metrics/usePerformanceMetricOptions";

export const SuccessFailOutgoingBarChart = observer(() => {
    return <BarChart
        series={PerformanceMetricStore.selectedModel?.success_fail_outgoing.series}
        height={350}
        width={'100%'}
        options={
            {
                chart: usePerformanceChartOptions(true),
                colors: usePerformanceSuccessFailColors(),
                title: usePerformanceTitleOptions(t`Outgoing Transactions`),
                xaxis: usePerformanceXAxisOptions(PerformanceMetricStore.selectedModel?.success_fail_outgoing.categories),
                yaxis: usePerformanceYAxisOptions(100),
                legend: usePerformanceLegendOptions(),
                stroke: usePerformanceStrokeOptions()
            }
        }
    />
})