import {observer} from "mobx-react-lite";
import {LineChart} from "@rx-suite/ui";
import {PerformanceMetricStore} from "../../stores/PerformanceMetricStore";
import React from "react";
import {t} from "@lingui/macro";
import {grey} from "@material-ui/core/colors";
import {
    usePerformanceChartOptions,
    usePerformanceLegendOptions,
    usePerformanceMarkerOptions,
    usePerformanceStrokeOptions,
    usePerformanceTitleOptions,
    usePerformanceTransactionTypeColors,
    usePerformanceXAxisOptions,
    usePerformanceYAxisOptions
} from "../../hooks/performance_metrics/usePerformanceMetricOptions";

export const TransactionDurationPerTypeLineChart = observer(() => {
    return <LineChart
        series={PerformanceMetricStore.selectedModel?.transaction_duration_per_type.series}
        height={350}
        width={'100%'}
        options={
            {
                chart: usePerformanceChartOptions(false),
                colors: usePerformanceTransactionTypeColors(),
                title: usePerformanceTitleOptions(t`Transaction Duration (s)`),
                xaxis: usePerformanceXAxisOptions(PerformanceMetricStore.selectedModel?.success_fail_outgoing.categories),
                yaxis: usePerformanceYAxisOptions(60),
                legend: usePerformanceLegendOptions(),
                stroke: usePerformanceStrokeOptions(),
                markers: usePerformanceMarkerOptions()
            }
        }
    />
})
