import * as React from "react";
import {observer} from "mobx-react-lite";
import {Box, Grid, Switch, Typography} from "@material-ui/core";
import {Trans} from "@lingui/macro";

type AutoLaunchSwitchProps = {
    checked: boolean;
    setChecked: (checked: boolean) => void;
    disabled?: boolean;
};

export const AutoLaunchSwitch: React.FunctionComponent<AutoLaunchSwitchProps> = observer(({checked, setChecked, disabled=false}) => {
    return <Box display={'flex'} flexDirection={'column'} justifyContent={'center'} alignItems={'center'}
                border={1} borderRadius={4} borderColor={'rgba(0, 0, 0, 0.12)'}
    >
        <Typography variant={"h6"}><Trans>Auto Launch</Trans></Typography>
        <Grid component="label" container justifyContent="center" alignItems="center" spacing={1}>
            <Grid item><Typography variant={"body1"}><Trans>Off</Trans></Typography></Grid>
            <Grid item>
                <Switch disabled={disabled} checked={checked} onChange={(event) => { setChecked(event.target.checked) }} name="autoLaunch" />
            </Grid>
            <Grid item><Typography variant={"body1"}><Trans>On</Trans></Typography></Grid>
        </Grid>
    </Box>;
})
