import * as React from "react";
import {observer} from "mobx-react-lite";
import {ModelProvider, PaddedPaper, WorkstationHelper} from "@rx-suite/ui";
import {TicketWorkstationModel} from "../../stores/TicketWorkstationStore";
import {WorkstationHeader} from "./WorkstationHeader";

type AsyncBulkWorkstationProps = {
    model: TicketWorkstationModel;
    icon: JSX.Element;
};

export const AsyncBulkWorkstation: React.FunctionComponent<AsyncBulkWorkstationProps> = observer(({model, icon, children}) => {
    return (
        <PaddedPaper>
            <WorkstationHelper stores={[]}>
                <ModelProvider value={model}>
                    <WorkstationHeader
                        name={model.name}
                        icon={icon}
                    />
                    {children}
                </ModelProvider>
            </WorkstationHelper>
        </PaddedPaper>
    );
})