import * as React from "react";
import {observer} from "mobx-react-lite";
import {alpha, Box, Divider, makeStyles, Paper, Typography} from "@material-ui/core";
import {SvgIconComponent} from "@material-ui/icons";
import {grey} from "@material-ui/core/colors";

type WorkstationHeaderProps = {
    name: string;
    icon?: JSX.Element | SvgIconComponent;
}

const useStyles = makeStyles((theme) => ({
    paper: {
        display: 'flex',
        alignItems: 'center',
        paddingLeft: '10px',
        backgroundColor: alpha(grey[400], 0.05)
    },
    headerBox: {
        display: "inline-flex"
    }
}));

export const WorkstationHeader: React.FunctionComponent<WorkstationHeaderProps> = observer(({name, icon}) => {
    const classes = useStyles();

    return (
        <React.Fragment>
            <Box display={'flex'} justifyContent={'space-between'}>
                <Paper variant={'outlined'} className={classes.paper}>
                    {icon}
                    <Box p={2} className={classes.headerBox}>
                        <Typography variant={'h4'}>{name}</Typography>
                    </Box>
                </Paper>
            </Box>
        </React.Fragment>
    )
})