import * as React from "react";
import {observer} from "mobx-react-lite";
import {Grid, makeStyles} from "@material-ui/core";
import {DoubleArrow} from "@material-ui/icons";
import {grey} from "@material-ui/core/colors";

const useStyles = makeStyles((theme) => ({
    separatorWrapper: {
        width: 'fit-content',
        alignContent: 'center',
        display: 'flex',
        flexWrap: 'wrap',
        [theme.breakpoints.down('1100')]: {
            width: '15px'
        }
    },
    separator: {
        fontSize: '7.5rem',
        color: grey[500],
        [theme.breakpoints.down('1100')]: {
            display: 'none'
        }

    },
}));

export const WorkstationTableSeparator: React.FunctionComponent = observer(() => {
    const classes = useStyles();

    return (
        <Grid item className={classes.separatorWrapper}>
            <DoubleArrow className={classes.separator}/>
        </Grid>
    )
})