import * as React from "react";
import {observer} from "mobx-react-lite";
import {TabsContainer, useModelContext} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {OrderFindQueryFormTab} from "./OrderFindQueryFormTab";
import {OrderFindQueryResultsTab} from "./OrderFindQueryResultsTab";
import {OrderFindQueryModel} from "../../../stores/OrderFindQueryStore";

type OrderFindQueryDialogProps = {
    handleClose: () => void
}

export const OrderFindQueryDialog: React.FunctionComponent<OrderFindQueryDialogProps> = observer(({handleClose}) => {
    const model = useModelContext() as OrderFindQueryModel;

    return <TabsContainer tabs={[
        {
            label: t`Query Edit`,
            component: <OrderFindQueryFormTab handleClose={handleClose}/>,
            defaultTab: true
        },
        {
            label: t`Query Results`,
            component: <OrderFindQueryResultsTab/>,
            disabled: model.canExecute
        }
    ]}/>
})
