import {blue, green, grey, lightGreen, orange, purple, red} from "@material-ui/core/colors";

export const usePerformanceChartOptions = (stacked: boolean) => {
    return {
        toolbar: {
            show: false
        },
        zoom: {
            enabled: false
        },
        stacked: stacked
    };
}

export const usePerformanceTitleOptions = (title: string) => {
    return {
        text: title,
        align: 'center',
        style: {
            fontSize:  '14px',
            fontWeight: 'bold',
            color:  grey[600]
        }
    };
}

export const usePerformanceXAxisOptions = (categories: any[]) => {
    return  {
        tickAmount: 5,
        categories: categories
    };
}

export const usePerformanceYAxisOptions = (maxVal: number) => {
    return {
        forceNiceScale: true,
        max: (max: number) => max === 0 ? maxVal : max,
        labels: {
            formatter: (val) => {return val}
        }
    };
}

export const usePerformanceLegendOptions = () => {
    return {
        position: 'bottom'
    };
}

export const usePerformanceStrokeOptions = () => {
    return {
        width: 1.5,
        dashArray: [0,0,0,0,3]
    };
}

export const usePerformanceMarkerOptions = () => {
    return {
        size: [4,4,4,4,0]
    };
}

export const usePerformanceSuccessFailColors = () => {
    return [green[300], red[300]];
}

export const usePerformanceTransactionTypeColors = () => {
    return [blue[300], purple[300], orange[300], lightGreen[300], red[300]];
}