import {t} from "@lingui/macro";
import {useStateColumn} from "./useStateColumn";
import {makeFormattedDateTimeColumn} from "@rx-suite/ui";
import { useTransactionTypeColumn } from "./useTransactionTypeColumn";
import * as React from "react";

export const useApiTransactionsColumns = (showOrderNumber: boolean, showTicketBarcode: boolean = true) => {
    const columns = [];

    if(showTicketBarcode) {
        columns.push(
            {
                Header: t`E-Ticket Barcode`,
                accessor: 'associated_ticket_barcode',
                filterable: true,
                sortable: true,
                id: 'associated_ticket_barcode',
                maxWidth: 250
            }
        );
    }

    if (showOrderNumber) {
        columns.push(
            {
                Header: t`Order Number`,
                accessor: 'associated_order_number',
                filterable: true,
                sortable: true,
                id: 'associated_order_number',
                maxWidth: 250
            }
        );
    }

    columns.push(
        useTransactionTypeColumn()
    );

    columns.push(...[
        useStateColumn(true, true),
        makeFormattedDateTimeColumn('created_at', t`Requested At`, "dateTime")
    ]);

    return columns;
}
