import * as React from 'react';
import {t} from "@lingui/macro";
import {PaperlessApiTransactionModel, PaperlessApiTransactionType} from "../../../stores/PaperlessApiTransactionStore";
import {TransactionType} from "../../../components/paperless_api_transactions/TransactionEndpoint";
import {Filter, ReactTableFunction} from "react-table";
import {SelectField} from "@rx-suite/ui";

export const useTransactionTypeColumn = () => {
    return {
        Header: t`Transaction Type`,
        accessor: (transaction: PaperlessApiTransactionModel) => transaction,
        id: 'transaction_type',
        filterable: true,
        maxWidth: 300,
        Filter: ({ filter, onChange }: { filter: Filter, onChange: ReactTableFunction }) => (
            <SelectField
                options={[
                    {label: "Launch", value: "launch"},
                    {label: "Set Hot", value: "set_hot"},
                    {label: "Clear Hot", value: "clear_hot"},
                    {label: "Release", value: "release"},
                    {label: "Set Template", value: "set_template"},
                    {label: "Find", value: "find"},
                    {label: "Stop Blink", value: "stop_find"}
                ]}
                onChange={(name, value: PaperlessApiTransactionType) => {
                    onChange(value);
                }}
                value={filter ? filter.value : ""}
                clearable
            />
        ),
        Cell: (cellInfo: { value: PaperlessApiTransactionModel }) => {
            return (
                <TransactionType model={cellInfo.value}/>
            )
        }
    };
}
