import * as React from 'react';
import {t} from "@lingui/macro";
import {AddStatusBadge} from "../../../components/bulk_add_scan/AddStatusBadge";

export type TempTicketAddInfo = {
    status: string
}
export const useBulkAddStatusColumns = () => {
    return [
        {
            Header: t`Status`,
            accessor: (entry: TempTicketAddInfo) => entry,
            id: 'status',
            filterable: false,
            Cell: (cellInfo: { value: TempTicketAddInfo }) => {
                return (
                    <AddStatusBadge addStatus={cellInfo.value.status} successfulText={t`successfully requested`}/>
                )
            }
        }
    ]
}
