import * as React from 'react';
import {makeColumn, ModelProvider} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {PaperlessTicketModel} from "../../../stores/PaperlessTicketStore";
import {DeleteTicketButton} from "../../../components/paperless_tickets/buttons/DeleteTicketButton";
import {ReleaseTicketButton} from "../../../components/paperless_tickets/buttons/ReleaseTicketButton";
import {ToggleStageTicketButton} from "../../../components/paperless_tickets/buttons/ToggleStageTicketButton";
import {useStatusColumn} from "./useStatusColumn";

export const useShowAllTicketsColumns = () => {
    return [
        useStatusColumn(),
        makeColumn('ticket_barcode', t`Ticket Barcode`, "string"),
        makeColumn('order_number', t`Order Number`, "string"),
        {
            Header: t`Actions`,
            accessor: (ticket: PaperlessTicketModel) => ticket,
            id: '_actions',
            sortable: false,
            maxWidth: 375,
            Cell: (cellInfo: { value: PaperlessTicketModel }) => {
                return (
                    <ModelProvider value={cellInfo.value}>
                        <ReleaseTicketButton/>
                        <ToggleStageTicketButton/>
                        <DeleteTicketButton/>
                    </ModelProvider>
                )
            }
        }
    ];
}
