import * as React from 'react';
import {makeColumn, ModelProvider} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {PaperlessTicketModel} from "../../../stores/PaperlessTicketStore";
import {ToggleStageTicketButton} from "../../../components/paperless_tickets/buttons/ToggleStageTicketButton";
import {DeleteTicketButton} from "../../../components/paperless_tickets/buttons/DeleteTicketButton";
import {useStatusColumn} from "./useStatusColumn";

export const useShowAvailableTicketsColumns = () => {
    return [
        useStatusColumn(),
        makeColumn('ticket_barcode', t`Ticket Barcode`, "string"),
        {
            Header: t`Actions`,
            accessor: (ticket: PaperlessTicketModel) => ticket,
            id: '_actions',
            sortable: false,
            maxWidth: 350,
            Cell: (cellInfo: {value: PaperlessTicketModel }) => {
                return (
                   <ModelProvider value={cellInfo.value}>
                       <ToggleStageTicketButton/>
                       <DeleteTicketButton/>
                   </ModelProvider>
                )
            }
        }
    ];
};
