import * as React from 'react';
import {t} from "@lingui/macro";
import {PaperlessTicketModel} from "../../../stores/PaperlessTicketStore";
import {TicketStatusBadge} from "../../../components/paperless_tickets/TicketStatusBadge";
import {Grid} from "@material-ui/core";

export const useStatusColumn = () => {
    return {
        Header: t`Status`,
        accessor: (ticket: PaperlessTicketModel) => ticket,
        id: 'status',
        filterable: false,
        sortable: false,
        maxWidth: 100,
        Cell: (cellInfo: { value: PaperlessTicketModel }) => {
            return (
                <Grid container justifyContent={'center'}>
                    <TicketStatusBadge model={cellInfo.value}/>
                </Grid>
            )
        }
    }
}
