import React from "react";

export const useBulkListItems = (defaultValue: string[], primaryKey: string, keepSuccess=true): [BulkListItem[], React.Dispatch<React.SetStateAction<BulkListItem[]>>, (values: BulkListItem[]) => void] => {
    const [listItems, setListItems] = React.useState<BulkListItem[]>([]);

    const handleFailedItems = (failedItems: BulkListItem[]): void => {
        const values: BulkListItem[] = [];

        listItems.forEach(listItem => {
            const failedValue = failedItems.find((failed) => failed[primaryKey] === listItem[primaryKey]);

            if(failedValue){
                values.push({ ...listItem, status: failedValue.error})
            }else{
                if(keepSuccess){
                    values.push({ ...listItem, status: 'success'})
                }
            }
        });

        setListItems(values);
    }

    return [listItems, setListItems, handleFailedItems];
}

export type BulkListItem = {
    [key: string]: string | SaveStatus;
    status: SaveStatus;
}
type SaveStatus = 'success' | errorStatus | null;
type errorStatus = string;