import React from "react";
import {BulkListItem} from "./useBulkListItems";

export const useClearOnNextScan = (): [boolean, React.Dispatch<React.SetStateAction<boolean>>, (itemList: BulkListItem[]) => BulkListItem[]] => {
    const [clearOnNextScan, setClearOnNextScan] = React.useState<boolean>(false);

    const clearItems = (itemList: BulkListItem[]): BulkListItem[] => {
        if(!clearOnNextScan) {
            return itemList;
        }

        const newList: BulkListItem[] = [];
        itemList.forEach((stageItem) => {
            if(stageItem.status === 'success') {
                return;
            }
            stageItem.status = null;
            newList.push(stageItem);
        })

        setClearOnNextScan(false);

        return newList;
    }

    return [clearOnNextScan, setClearOnNextScan, clearItems];
}
