import * as React from 'react';
import {useModelContext} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {OrderRecordModel} from "../../../../stores/OrderRecordStore";
import Typography from "@material-ui/core/Typography";
import {PaperlessTicketTransactionLog} from "../../../../components/paperless_api_transactions/PaperlessTicketTransactionLog";

export const OrderRecordEventsBreadModel : React.FunctionComponent = observer(() => {
    const model = useModelContext() as OrderRecordModel;

    const filter = React.useMemo(()=> {
        if(!model.isAttachedToTicket){
            return null;
        }

        return model.paperless_ticket_id as number;

    }, [model.paperless_ticket_id])

    if(filter === null){
         return (
             <Typography>Order not attached to ticket</Typography>
         )
    }

    return (
        <PaperlessTicketTransactionLog modelId={filter}/>
    )
});
