import * as React from "react";
import {BreadModel} from "@rx-suite/ui";
import {PaperlessApiTransactionStore} from "../../stores/PaperlessApiTransactionStore";
import {PaperlessApiTransactionForm} from "./PaperlessApiTransactionForm";
import {useApiTransactionsColumns} from "../../hooks/table_columns/api_transactions/useApiTransactionsColumns";

export const PaperlessApiTransactionsBreadModel = () => {
    const columns = React.useMemo(() => {
        return useApiTransactionsColumns(true);
    }, []);

    return (
        <BreadModel
            store={PaperlessApiTransactionStore}
            Form={PaperlessApiTransactionForm}
            columns={columns}
            mountCreate={false}
            mountEdit={false}
            tableProps={
                {
                    showCreateButton: false,
                    defaultSorted:[{id: "created_at", desc: true}],
                    replacementActions: {
                        Edit: () => null,
                        Delete: () => null
                    },
                    suppressActionColumn: true,
                    rememberFetchParams: false
                }
            }

        />
    );
}
