import * as React from 'react';
import {observer} from "mobx-react-lite";
import {Box, Typography} from "@material-ui/core";
import {t} from "@lingui/macro";
import {ModelDcsSelect, ModelInput} from "@rx-suite/ui";

export const ConnectionsTab: React.FunctionComponent = observer(() => {
    return (
        <React.Fragment>
            <Box>
                <Typography variant={'h6'}>
                    {t`Order Data`}
                </Typography>
                <ModelDcsSelect name={'external_dcs_id'}/>
                <ModelInput name={'order_number_tag'}
                            hint={
                                {
                                    title: t`Order Number Tag`,
                                    text: t`VCA Tag used to identify the order number after creation. Default: JOB`
                                }
                            }
                />
            </Box>
            <Box mt={2}>
                <Typography variant={'h6'}>
                    {t`Paperless API`}
                </Typography>
                    <ModelInput
                        name={'paperless_api_url'}
                        hint={
                            {
                                title: t`API URL`,
                                text: t`Location of the API used to communicate with e-tickets`
                            }
                        }
                    />
            </Box>
        </React.Fragment>
    );
});
