import * as React from "react";
import {observer} from "mobx-react-lite";
import {ExternalSystemStore} from "../../../stores/ExternalSystemStore";
import {makeColumn, ModelDialogTable, ModelInput} from "@rx-suite/ui";
import {DataStore, Model} from "@rx-suite/data";
import {t} from "@lingui/macro";

export const ExternalSystemTab: React.FunctionComponent = observer(() => {
    
    const dialogForm = (model: Model) => {
        return <React.Fragment>
            <ModelInput name={'name'}/>
            {!model?.isNew &&
                <ModelInput name={'token'} disabled/>
            }
        </React.Fragment>
    }

    const columns = [
        makeColumn('name', t`Name`, 'string'),
        makeColumn('token', t`Token`, 'string')
    ]

    return <ModelDialogTable
        store={ExternalSystemStore as unknown as DataStore<Model>}
        dialogProps={{
            dialogForm: dialogForm,
            dialogTitle: t`External System`
        }}
        columns={columns}
        tableProps={
            {
                noLinkColumns: ['name', 'token']
            }
        }
    />
})
