import * as React from 'react';
import {observer} from "mobx-react-lite";
import {Box} from "@material-ui/core";
import {t} from "@lingui/macro";
import {ModelInput, ModelSelect} from "@rx-suite/ui";
import {BLINK_SPEED_OPTIONS, LED_COLOR_OPTIONS} from "../../../stores/SettingStore";

export const TicketLedTab: React.FunctionComponent = observer(() => {

    return (
      <React.Fragment>
          <Box>
              <ModelSelect
                  label={`'Find my Job' Color`}
                  name={'job_search_color'}
                  options={LED_COLOR_OPTIONS}
                  hint={
                      {
                          title: t`'Find my Job' color`,
                          text: t`Color that the LED will blink when 'Find my Job' is used.`
                      }
                  }
              />
              <ModelSelect
                  name={'find_order_blink_speed'}
                  options={BLINK_SPEED_OPTIONS}
              />
              <ModelInput
                        name={'job_search_duration'}
                        hint={
                          {
                              title: t`'Find my Job' Duration`,
                              text: t`Duration of time that the LED will blink when 'Find my Job' is used.`
                          }
                        }
              />
              <ModelSelect
                  name={'hot_job_color'}
                  options={LED_COLOR_OPTIONS}
                  hint={
                      {
                          title: t`Hot Job Color`,
                          text: t`LED Color used to indicate a 'hot' job`
                      }
                  }
              />
              <ModelSelect
                  name={'hot_order_blink_speed'}
                  options={BLINK_SPEED_OPTIONS}
              />
          </Box>
      </React.Fragment>
    );
});
