import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {TagStore} from "../../stores/TagStore";
import {TagForm} from "./TagForm";

export const TagBreadModel =() => {

    const columns = React.useMemo( () => {
        return [
            makeColumn('tag', t`Tag`, "string"),
            makeColumn('value_type', t`Value`, "string"),
            makeColumn('default_value', t`Default Value`, "string"),
        ];
    }, []);

    return (
        <BreadModel
            store={TagStore}
            Form={TagForm}
            columns={columns}
        />
    )
}