import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {TicketTemplateStore} from "../../stores/TicketTemplateStore";
import {TicketTemplateForm} from "./TicketTemplateForm";
import {observer} from "mobx-react-lite";

export const TicketTemplateBreadModel = observer(() => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('process_name', t`Process Name`, "string"),
            makeColumn('template_name', t`Template Name`, "string"),
            makeColumn('process_code', t`Process Code`, "string")
        ];
    }, []);

    return (
        <BreadModel
            store={TicketTemplateStore}
            Form={TicketTemplateForm}
            columns={columns}
        />
    )
})