import * as React from "react";
import {observer} from "mobx-react-lite";
import {FormProps, ModelForm, ModelInput} from "@rx-suite/ui";
import {TagModel} from "../../stores/TagStore";

type TagFormProps = {
    model: TagModel
} & Omit<FormProps, 'model'>;

export const WorkflowForm: React.FunctionComponent<TagFormProps> = observer(({model}) => {

    return (
        <ModelForm model={model} suppressImportExport suppressMakeCopy>
            <ModelInput name={'name'} />
        </ModelForm>
    );
})
