import {attribute, DataStore, Model, model} from "@rx-suite/data";
import {t} from "@lingui/macro";
import * as yup from "yup";

@model({
    transportLayer: "/api/external_systems",
    permissionTarget: "ExternalSystem",
    routingInfo: {
        list: '/external_systems',
        create: '/external_systems/create',
        update: '/external_systems/:id/edit'
    }
})
export class ExternalSystemModel extends Model {
    @attribute({
        label: t`Name`,
        validation: yup.string().required()
    })
    name = '';

    @attribute({
        label: t`Token`,
        validation: yup.string()
    })
    token = '';

    constructor() {
        super();
        super.setup();
    }
}
export const ExternalSystemStore = ExternalSystemModel.store as unknown as DataStore<ExternalSystemModel>;
