import {attribute, DataStore, model, Model} from "@rx-suite/data";
import moment, {Moment} from "moment";

const empty_data = {series: [], categories: []}

type serie = {
    name: string,
    data: number[]
}

type stackedBarChart = {
    series: serie[],
    categories: string[]
}

@model({
    transportLayer: "/api/performance_metrics",
    permissionTarget: "PerformanceMetrics",
    singleton: true
})
export class PerformanceMetricModel extends Model {
    @attribute()
    id: number = 1;

    @attribute()
    success_fail_outgoing: stackedBarChart = empty_data;

    @attribute()
    outgoing_per_type: stackedBarChart = empty_data;

    @attribute()
    transaction_duration_per_type: stackedBarChart = empty_data;

    @attribute()
    external_call_load: stackedBarChart = empty_data;

    @attribute()
    last_update_time: Moment = moment(new Date());

    constructor() {
        super();
        super.setup();
    }
}

export const PerformanceMetricStore = PerformanceMetricModel.store as DataStore<PerformanceMetricModel>;