import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import {t} from "@lingui/macro";

@model({
    transportLayer: "/api/ticket_static_data",
    permissionTarget: "TicketStaticDatum",
    routingInfo: {
        create: '/ticket_static_data/create',
        read: '/ticket_static_data/:id/read',
        update: '/ticket_static_data/:id/edit'
    },
})
export class TicketStaticDatumModel extends Model {
    @attribute({
        label: t`Name`,
        validation: yup.string().required(t`Name is a required field`)
    })
    name: string = "";

    @attribute({
        label: t`Value`,
        validation: yup.string().required(t`Value is a required field`)
    })
    value: string = "";

    @attribute()
    paperless_ticket_id: string | null = null;

    constructor() {
        super();
        super.setup();
    }
}

export const TicketStaticDatumStore = TicketStaticDatumModel.store as DataStore<TicketStaticDatumModel>;