module BulkAction
  module OrderBulkAction
    class ToggleHotOrderJob < OrderBulkActionJob
      class << self
        def on_queued(successful_transactions)
          order_records = order_records_for_broadcast_from_transactions(successful_transactions)
          order_records.update_all(hot_job_toggling: true)
          OrderRecord.broadcast_multiple_now(order_records)
        end
      end

      def endpoint
        PaperlessApi::Asynchronous::Endpoints::Blink
      end

      def on_transaction_invalidate(invalidated_transactions)
        order_records = OrderBulkActionJob.order_records_for_broadcast_from_transactions(invalidated_transactions)
        order_records.update_all(hot_job_toggling: false)
        OrderRecord.broadcast_multiple_later(order_records)
      end

      def inject_data
        if @endpoint_data[:set_hot]
          @endpoint_data = {
            blink: true,
            blink_params: Setting.instance.hot_job_blink_settings
          }
        else
          @endpoint_data = {
            blink: false
          }
        end
      end
    end
  end
end
