module PaperlessApi
  module Asynchronous
    module Endpoints
      class Blink < Endpoint

        class << self
          def endpoint
            '/api/v1/tags/blink'
          end
        end

        def endpoint
          Blink.endpoint
        end

        private

        def build_transaction_body(_, transaction_data)
          if transaction_data[:blink]
            {
              blink: true,
              color: transaction_data[:blink_params][:color],
              pattern: transaction_data[:blink_params][:pattern],
              duration: transaction_data[:blink_params][:duration]
            }
          else
            {
              blink: false
            }
          end
        end
      end
    end
  end
end
