module PaperlessApi
  module Asynchronous
    module Endpoints
      class Write < Endpoint

        class << self
          def endpoint
            '/api/v1/tags/write'
          end
        end

        def endpoint
          Write.endpoint
        end

        private

        def build_transaction_body(transaction_wrapper, _)
          {
            data: transaction_wrapper[:data][:fields]
          }
        end

        def inject_endpoint_data_to_payload_root(endpoint_data)
          @payload[:template] = endpoint_data[:template].template_name
        end
      end
    end
  end
end
