module PaperlessApi
  module Asynchronous
    module Responses
      class Release < Response
        def handle_success
          if @transaction.paperless_ticket.releasing
            OrderRecord.transaction do
              order = @transaction.paperless_ticket.order_record
              @transaction.paperless_ticket.update!(order_record_id: nil, ticket_template_id: nil, releasing: false)
              order.destroy!
            end
          end
        end

        def handle_failure_or_cancel
          @transaction.paperless_ticket.update!(releasing: false)
        end
      end
    end
  end
end
