module PaperlessApi
  module Synchronous
    class ImageEndpoint < PaperlessApiSynchronousEndpoint
      def build_endpoint(id)
        "/api/v1/tags/#{id}/image"
      end

      def build_payload(data)
        data
      end

      def call_external_api
        response = Faraday.send(:get, url) do |req|
          req.headers['Content-Type'] = 'application/octet-stream'
        end

        raise ResourceNotFound if response.status == 404
        raise "Unknown error - consult logs" if response.status == 500

        @response = { success: true, response: response, error: nil }
      rescue => err
        @response = { success: false, response: nil, error: err }
      end
    end
  end
end
