module PerformanceMetric
  class OutgoingTransactionsPerType < MetricsCalculator
    def run
      calc_bucket_hash(Array.new(endpoint_types.length, 0))
      transactions = PaperlessApiTransaction.where(wheres)
      transactions.find_each do |transaction|
        bucket_time = round_down_to_5_minutes(transaction.created_at)
        bucket_hash[bucket_time][endpoint_types[transaction_type_to_endpoint_type(transaction.transaction_type)]] += 1
      end
      {
        series: bucket_hash_to_buckets,
        categories: format_time_labels(time_slots)
      }
    end

    private

    def bucket_hash_to_buckets
      arr_of_buckets = Array.new(endpoint_types.length, nil)

      @bucket_hash.keys.sort_by {|e| e.to_i}.each do |key|
        @bucket_hash[key].each_with_index do |value, index|
          arr_of_buckets[index] = [] if arr_of_buckets[index].nil?
          arr_of_buckets[index] << value
        end
      end

      arr_of_buckets.map.with_index do |buckets, index|
        {
          name: endpoint_types.keys[index],
          data: buckets
        }
      end
    end
  end
end