class Workflow < ApplicationRecord
  has_many :ticket_templates
  has_many :paperless_tickets, through: :ticket_templates

  class << self
    def seed_defaults
      Workflow.create(name: 'Default') if Workflow.count == 0
    end
  end

  def in_use?
    TicketTemplate.find_by(workflow_id: self.id).present?
  end
end
