class LaunchOrderRecords < RxModule::Routine
  class << self
    def frequency
      '1m'
    end

    def work
      if Setting.instance.manual_pairing_on?
        return # don't bother logging that the queue is off
      end

      if auto_launch_disabled?
        Rails::logger.info "[Launch Queue] disabled"
        return
      end

      if missing_config?
        Rails::logger.warn "[Launch Queue] auto-launch enabled but some settings are missing"
        return
      end

      OrderLaunchQueue.instance.launch_all_waiting
    end

    def auto_launch_disabled?
      Setting.instance.auto_launch.blank?
    end

    def missing_config?
      Setting.instance.paperless_api_url.blank?
    end
  end
end