class OrderFindQueryStop < RxModule::Routine
  class << self
    def frequency
      '1m'
    end

    def work
      # Since we send the blink duration to the LNC software, they deal with stopping the led blink at that time.
      # We only want to set back the state of the query to be ready to run.
      OrderFindQuery.where(
        OrderFindQuery.arel_table[:complete_at].lt(Time.zone.now)
      ).find_each do |query|
        query.cleanup
      end
    end
  end
end