class RefreshPerformanceMetrics < RxModule::Routine
  class << self
    def frequency
      '1m'
    end

    def work
      return if ActionCable.server.connections.empty?
      # Only recalculate if someone is subscribed to the PerformanceMetricsChannel
      return unless
        ActionCable.server.connections.any? {|conn| conn.statistics[:subscriptions].any? {|sub| sub.include? PerformanceMetricChannel.name} }

      PerformanceMetricChannel.broadcast(MetricsCalculator.get_metrics_pseudo_model.to_json)
    end
  end
end