class CreateOrderFindQueries < ActiveRecord::Migration[6.1]
  def change
    create_table :order_find_queries do |t|
      t.string :name, null: false
      t.integer :color, default: 0, null: false
      t.integer :blink_pattern, default: 0, null: false
      t.integer :blink_duration
      t.string :query
      t.integer :status, default: 0, null: false
      t.datetime :complete_at
      t.timestamps

      t.belongs_to :ticket_workstation
    end

    create_table :order_find_query_paperless_api_transactions do |t|
      t.belongs_to :order_find_query, index: {name: :index_find_query_transaction_on_find_query_id}
      t.belongs_to :paperless_api_transaction, index: {name: :index_find_query_transaction_on_transaction_id}
    end
  end
end
