class AddStaticDataToTemplateFields < ActiveRecord::Migration[6.1]
  def up
    add_column :ticket_template_fields, :field_type, :integer, default: 0
    add_column :ticket_template_fields, :static_field, :string
    add_column :ticket_template_fields, :static_default, :string

    # Remove FK constraints for field that don't apply for static data
    change_column_null(:ticket_template_fields, :side, true)
    change_column_null(:ticket_template_fields, :tag_id, true)

    TicketTemplateField.update_all(field_type: 0) # set all existing to job data
  end

  def down
    remove_column :ticket_template_fields, :field_type
    remove_column :ticket_template_fields, :static_field
    remove_column :ticket_template_fields, :static_default

    remove_index :ticket_template_fields, :tag_id
    change_column_null(:ticket_template_fields, :tag_id, false)
    add_index :ticket_template_fields, :tag_id
  end
end
