# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2025_05_09_133900) do

  create_table "active_storage_attachments", force: :cascade do |t|
    t.string "name", null: false
    t.string "record_type", null: false
    t.bigint "record_id", null: false
    t.bigint "blob_id", null: false
    t.datetime "created_at", null: false
    t.index ["blob_id"], name: "index_active_storage_attachments_on_blob_id"
    t.index ["record_type", "record_id", "name", "blob_id"], name: "index_active_storage_attachments_uniqueness", unique: true
  end

  create_table "active_storage_blobs", force: :cascade do |t|
    t.string "key", null: false
    t.string "filename", null: false
    t.string "content_type"
    t.text "metadata"
    t.bigint "byte_size", null: false
    t.string "checksum", null: false
    t.datetime "created_at", null: false
    t.string "service_name", null: false
    t.index ["key"], name: "index_active_storage_blobs_on_key", unique: true
  end

  create_table "active_storage_variant_records", force: :cascade do |t|
    t.bigint "blob_id", null: false
    t.string "variation_digest", null: false
    t.index ["blob_id", "variation_digest"], name: "index_active_storage_variant_records_uniqueness", unique: true
  end

  create_table "delayed_jobs", force: :cascade do |t|
    t.integer "priority", default: 0, null: false
    t.integer "attempts", default: 0, null: false
    t.text "handler", null: false
    t.text "last_error"
    t.datetime "run_at"
    t.datetime "locked_at"
    t.datetime "failed_at"
    t.string "locked_by"
    t.string "queue"
    t.datetime "created_at", precision: 6
    t.datetime "updated_at", precision: 6
    t.index ["priority", "run_at"], name: "delayed_jobs_priority"
  end

  create_table "external_systems", force: :cascade do |t|
    t.string "name", null: false
    t.string "token", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["token"], name: "index_external_systems_on_token", unique: true
  end

  create_table "order_find_queries", force: :cascade do |t|
    t.string "name", null: false
    t.integer "color", default: 0, null: false
    t.integer "blink_pattern", default: 0, null: false
    t.integer "blink_duration"
    t.string "query"
    t.integer "status", default: 0, null: false
    t.datetime "complete_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "ticket_workstation_id"
    t.index ["ticket_workstation_id"], name: "index_order_find_queries_on_ticket_workstation_id"
  end

  create_table "order_find_query_paperless_api_transactions", force: :cascade do |t|
    t.bigint "order_find_query_id"
    t.bigint "paperless_api_transaction_id"
    t.index ["order_find_query_id"], name: "index_find_query_transaction_on_find_query_id"
    t.index ["paperless_api_transaction_id"], name: "index_find_query_transaction_on_transaction_id"
  end

  create_table "order_records", force: :cascade do |t|
    t.string "number"
    t.datetime "entry_time", null: false
    t.integer "state", default: 0
    t.datetime "last_action_time", null: false
    t.string "failed_reason"
    t.integer "rx_data_order_id"
    t.boolean "is_hot_job", default: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "launch_number"
    t.boolean "hot_job_toggling", default: false
    t.index ["number"], name: "index_order_records_on_number", unique: true
  end

  create_table "paperless_api_transactions", force: :cascade do |t|
    t.bigint "paperless_ticket_id"
    t.string "transaction_identifier", null: false
    t.integer "state", null: false
    t.text "request_body", null: false
    t.text "response_body"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "ticket_template_id"
    t.float "duration"
    t.datetime "finished_at"
    t.string "source", default: "SYSTEM"
    t.integer "transaction_type", default: 6, null: false
    t.datetime "esl_request_at"
    t.index ["paperless_ticket_id"], name: "index_paperless_api_transactions_on_paperless_ticket_id"
    t.index ["ticket_template_id"], name: "index_paperless_api_transactions_on_ticket_template_id"
    t.index ["transaction_identifier"], name: "index_paperless_api_transactions_on_transaction_identifier", unique: true
  end

  create_table "paperless_tickets", force: :cascade do |t|
    t.string "ticket_barcode", null: false
    t.bigint "order_record_id"
    t.boolean "staged", default: false, null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "ticket_template_id"
    t.boolean "releasing", default: false
    t.index ["order_record_id"], name: "index_paperless_tickets_on_order_record_id"
    t.index ["ticket_barcode"], name: "index_paperless_tickets_on_ticket_barcode", unique: true
    t.index ["ticket_template_id"], name: "index_paperless_tickets_on_ticket_template_id"
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_model_audit_lines", force: :cascade do |t|
    t.bigint "rx_module_model_audit_id", null: false
    t.text "before"
    t.text "after"
    t.string "column"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["rx_module_model_audit_id"], name: "index_rx_module_model_audit_lines_on_rx_module_model_audit_id"
  end

  create_table "rx_module_model_audits", force: :cascade do |t|
    t.string "user_id"
    t.string "user_email"
    t.string "user_role"
    t.string "table"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "model_id"
  end

  create_table "rx_module_serial_numbers", force: :cascade do |t|
    t.string "owner"
    t.bigint "start_number"
    t.bigint "next_number"
    t.integer "padding"
    t.string "column_name", default: "number"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "prefix", limit: 3, default: ""
  end

  create_table "rx_module_tokens", force: :cascade do |t|
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "owner"
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  create_table "rx_module_worker_broadcasts", force: :cascade do |t|
    t.string "model_global_id"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "channel_class"
    t.string "options"
    t.string "locator_options"
  end

  create_table "settings", force: :cascade do |t|
    t.integer "external_dcs_id"
    t.string "job_folder_path"
    t.string "job_regex"
    t.string "job_search_color"
    t.integer "job_search_duration"
    t.string "hot_job_color"
    t.boolean "auto_launch", default: false
    t.integer "max_launch_records", default: 5
    t.string "paperless_api_url"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "order_pairing_mode", default: 0, null: false
    t.integer "find_order_blink_speed", default: 0
    t.integer "hot_order_blink_speed", default: 0
    t.string "order_number_tag", default: "JOB"
  end

  create_table "tags", force: :cascade do |t|
    t.string "tag", null: false
    t.string "value_type", null: false
    t.string "default_value"
  end

  create_table "ticket_static_data", force: :cascade do |t|
    t.string "name", null: false
    t.string "value", null: false
    t.bigint "paperless_ticket_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["paperless_ticket_id"], name: "index_ticket_static_data_on_paperless_ticket_id"
  end

  create_table "ticket_template_fields", force: :cascade do |t|
    t.string "zone_identifier", null: false
    t.integer "side"
    t.string "formatter_regex"
    t.bigint "ticket_template_id", null: false
    t.bigint "tag_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "field_type", default: 0
    t.string "static_field"
    t.string "static_default"
    t.index ["tag_id"], name: "index_ticket_template_fields_on_tag_id"
    t.index ["ticket_template_id"], name: "index_ticket_template_fields_on_ticket_template_id"
  end

  create_table "ticket_templates", force: :cascade do |t|
    t.string "process_name", null: false
    t.string "template_name", null: false
    t.string "process_code"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "workflow_id"
    t.boolean "system_default", default: false
    t.index ["process_name"], name: "index_ticket_templates_on_process_name", unique: true
    t.index ["workflow_id"], name: "index_ticket_templates_on_workflow_id"
  end

  create_table "ticket_workstations", force: :cascade do |t|
    t.string "name"
    t.integer "action", default: 0
    t.bigint "ticket_template_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "display_order", default: 1, null: false
    t.index ["ticket_template_id"], name: "index_ticket_workstations_on_ticket_template_id"
  end

  create_table "workflows", force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["name"], name: "index_workflows_on_name", unique: true
  end

  add_foreign_key "active_storage_attachments", "active_storage_blobs", column: "blob_id"
  add_foreign_key "active_storage_variant_records", "active_storage_blobs", column: "blob_id"
  add_foreign_key "paperless_api_transactions", "paperless_tickets", on_delete: :cascade
  add_foreign_key "paperless_api_transactions", "ticket_templates"
  add_foreign_key "paperless_tickets", "order_records", on_delete: :nullify
  add_foreign_key "paperless_tickets", "ticket_templates"
  add_foreign_key "rx_module_model_audit_lines", "rx_module_model_audits"
  add_foreign_key "ticket_template_fields", "tags", on_delete: :cascade
  add_foreign_key "ticket_template_fields", "ticket_templates", on_delete: :cascade
  add_foreign_key "ticket_templates", "workflows", on_delete: :nullify
  add_foreign_key "ticket_workstations", "ticket_templates"
end
